aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile68
-rw-r--r--config.h13
-rw-r--r--debian/changelog102
-rw-r--r--debian/compat1
-rw-r--r--debian/control16
-rw-r--r--debian/copyright13
-rw-r--r--debian/dirs2
-rw-r--r--debian/hardinfo.135
-rw-r--r--debian/menu6
-rw-r--r--debian/postinst48
-rw-r--r--debian/postrm38
-rw-r--r--debian/preinst44
-rw-r--r--debian/prerm39
-rwxr-xr-xdebian/rules95
14 files changed, 520 insertions, 0 deletions
diff --git a/Makefile b/Makefile
new file mode 100644
index 00000000..b8d8ea19
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,68 @@
+GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
+GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
+GLADE_LIBS =
+GLADE_CFLAGS =
+PACKAGE = hardinfo-0.4
+ARCHOPTS =
+
+CC = gcc -fPIC -pipe -O3 $(ARCHOPTS)
+CCSLOW = gcc -fPIC -pipe -O0
+CFLAGS = -Wall -g $(GTK_CFLAGS) $(GLADE_CFLAGS) -I.
+
+# ----------------------------------------------------------------------------
+
+OBJECTS = hardinfo.o shell.o util.o iconcache.o loadgraph.o sha1.o md5.o \
+ menu.o stock.o callbacks.o expr.o report.o blowfish.o
+MODULES = computer.so devices.so benchmark.so
+
+all: $(OBJECTS) $(MODULES)
+ $(CC) $(CFLAGS) -o hardinfo -Wl,-export-dynamic $(OBJECTS) $(GTK_LIBS) $(GTK_FLAGS) \
+ $(GLADE_LIBS) $(GLADE_FLAGS)
+
+md5.o:
+ $(CCSLOW) $(CFLAGS) -c md5.c -o $@
+
+blowfish.o:
+ $(CCSLOW) $(CFLAGS) -c blowfish.c -o $@
+
+sha1.o:
+ $(CCSLOW) $(CFLAGS) -c sha1.c -o $@
+
+%.so: %.c
+ @echo "--- Module: $< ($@)"
+ $(CC) $(CFLAGS) -o $@ -shared $< $(GTK_FLAGS) $(GTK_LIBS) \
+ $(GLADE_LIBS) $(GLADE_FLAGS)
+ mv $@ modules
+
+clean:
+ rm -rf .xvpics pixmaps/.xvpics *.o *.so hardinfo modules/*.so report
+ find . -name \*~ -exec rm -v {} \;
+ find . -name x86 -type l -exec rm -v {} \;
+
+dist-clean: clean
+ rm -rf Makefile debian/hardinfo/ config.h arch/this
+
+package: dist-clean
+ @echo "Creating tar.gz..."
+ cd .. && tar czf $(PACKAGE).tar.gz $(PACKAGE)/* && cd $(PACKAGE)
+ @echo "Creating tar.bz2..."
+ cd .. && tar cjf $(PACKAGE).tar.bz2 $(PACKAGE)/* && cd $(PACKAGE)
+
+deb: dist-clean
+ @echo "Creating deb..."
+ dpkg-buildpackage -rfakeroot -k${USER}
+
+install: all
+ mkdir -p ${DESTDIR}/usr/bin
+ cp hardinfo ${DESTDIR}/usr/bin/hardinfo
+ mkdir -p ${DESTDIR}/usr/share/hardinfo/modules
+ cp -rv modules/*.so ${DESTDIR}/usr/share/hardinfo/modules
+ mkdir -p ${DESTDIR}/usr/share/hardinfo/pixmaps
+ cp -rv pixmaps/* ${DESTDIR}/usr/share/hardinfo/pixmaps
+ cp uidefs.xml ${DESTDIR}/usr/share/hardinfo
+ cp modules.conf ${DESTDIR}/usr/share/hardinfo
+ cp benchmark.conf ${DESTDIR}/usr/share/hardinfo
+ cp benchmark.data ${DESTDIR}/usr/share/hardinfo
+ chmod -R 755 ${DESTDIR}/usr/share/hardinfo
+ chmod 755 ${DESTDIR}/usr/bin/hardinfo
+
diff --git a/config.h b/config.h
new file mode 100644
index 00000000..ecd46b44
--- /dev/null
+++ b/config.h
@@ -0,0 +1,13 @@
+#ifndef __CONFIG_H__
+#define __CONFIG_H__
+
+#define VERSION "0.4"
+#define LSPCI "/bin/lspci -v"
+#define ARCH_i386
+#define PLATFORM "Linux"
+#define KERNEL "2.6.16-1-686"
+#define HOSTNAME "comanche.linuxhome.com.br"
+#define PREFIX "/usr/share/hardinfo/"
+#define DEBUG 1
+
+#endif /* __CONFIG_H__ */
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 00000000..861c1360
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,102 @@
+hardinfo (0.4-1) unstable; urgency=low
+
+ * new upstream release
+
+ -- Agney Lopes Roth Ferraz <agney@debian.org> Mon, 22 May 2006 19:43:53 -0300
+
+hardinfo (0.3.7pre-4) unstable; urgency=low
+
+ * added ia64 support. (Closes: #362175)
+
+ -- Agney Lopes Roth Ferraz <agney@debian.org> Sat, 20 May 2006 16:31:36 -0300
+
+hardinfo (0.3.7pre-3) unstable; urgency=low
+
+ * added mips64 support. (Closes: #361640)
+
+ -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net> Sun, 9 Apr 2006 15:34:14 -0300
+
+hardinfo (0.3.7pre-2) unstable; urgency=low
+
+ * Fixed FTBFS (file intl.c updated). Thanks to Andreas Jochens. (Closes: #326033)
+
+ -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net> Fri, 9 Sep 2005 18:30:09 -0300
+
+hardinfo (0.3.7pre-1) unstable; urgency=low
+
+ * New upstream release. (Closes: #280694, #300114, #233033)
+
+ -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net> Mon, 13 Jun 2005 18:34:20 -0300
+
+hardinfo (0.3.6-5) unstable; urgency=high
+
+ * Add Amd64 support (closes: #253935).
+ Thanks to Kurt Roeckx <Q@ping.be>
+ * Close duplicate "doesn't work with newer pciutils" bug (closes: #254018).
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sat, 14 Jun 2004 21:33:25 -0300
+
+hardinfo (0.3.6-4) unstable; urgency=high
+
+ * Fixed segfault on startup (closes: #242843).
+ Thanks to Remco van de Meent <remco@debian.org>
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sat, 05 Jun 2004 20:35:12 -0300
+
+hardinfo (0.3.6-3) unstable; urgency=high
+
+ * Added Debian menu entry icon.
+ * Fixed some misc packaging bugs.
+ * Changed package description.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 17 Dec 2003 10:52:45 -0300
+
+hardinfo (0.3.6-2) unstable; urgency=low
+
+ * Sync with upstream sources.
+ * Disabled "Network" tab.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 17 Dec 2003 10:31:23 -0300
+
+hardinfo (0.3.6-1) unstable; urgency=high
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 18 Jul 2003 10:07:58 -0300
+
+hardinfo (0.3.5-1) unstable; urgency=high
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 23 Jun 2003 15:55:22 -0300
+
+hardinfo (0.3.4-1) unstable; urgency=high
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 22 Jun 2003 21:45:15 -0300
+
+hardinfo (0.3.3-1) unstable; urgency=low
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 18 Jun 2003 22:15:34 -0300
+
+hardinfo (0.3.2-1) unstable; urgency=low
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 17 Jun 2003 10:50:34 -0300
+
+hardinfo (0.3.1-1) unstable; urgency=low
+
+ * Sync with upstream sources.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 15 Jun 2003 21:32:14 -0300
+
+hardinfo (0.3-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Leandro Pereira <leandro@linuxmag.com.br> Sun, 15 Jun 2003 11:13:14 -0300
+
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 00000000..b8626c4c
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+4
diff --git a/debian/control b/debian/control
new file mode 100644
index 00000000..2f7e2e62
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,16 @@
+Source: hardinfo
+Section: x11
+Priority: optional
+Maintainer: Agney Lopes Roth Ferraz <agney@debian.org>
+Build-Depends: debhelper (>> 4.0.0), libgtk2.0-dev, pciutils (>=1:2.1.11-10)
+Standards-Version: 3.7.2.0
+
+Package: hardinfo
+Architecture: any
+Depends: ${shlibs:Depends}, pciutils (>=1:2.1.11-10)
+Description: Displays system information
+ HardInfo is a small application that displays information about your
+ hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
+ IDE, SCSI, Serial and parallel port devices.
+ .
+ Homepage: http://alpha.linuxmag.com.br/~leandro/hardinfo
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 00000000..00d5b7df
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,13 @@
+This package was debianized by Leandro Pereira <leandro@linuxmag.com.br> on
+Sun, 15 Jun 2003 11:13:14 -0300.
+
+It was downloaded from http://alpha.linuxmag.com.br/~leandro/hardinfo/
+
+Upstream Author: Leandro Pereira <leandro@linuxmag.com.br>
+
+This software is copyright (c) 2003 by Leandro Pereira.
+
+You are free to distribute and/or modify this software under the terms of
+the GNU General Public License.
+On Debian systems, the complete text of the GNU General Public License can
+be found in /usr/share/common-licenses/GPL file.
diff --git a/debian/dirs b/debian/dirs
new file mode 100644
index 00000000..70e8bfc7
--- /dev/null
+++ b/debian/dirs
@@ -0,0 +1,2 @@
+usr/bin
+usr/share/hardinfo/pixmaps
diff --git a/debian/hardinfo.1 b/debian/hardinfo.1
new file mode 100644
index 00000000..e3f492f8
--- /dev/null
+++ b/debian/hardinfo.1
@@ -0,0 +1,35 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH HARDINFO 1 "June 15, 2003"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+hardinfo \- shows hardware information in a GTK+ window
+.SH SYNOPSIS
+.B hardinfo
+.SH DESCRIPTION
+.B hardinfo
+parses some files in /proc and displays their information in a
+user-friendly window.
+
+This manual page was written for the Debian distribution
+because the original program does not have a manual page.
+.PP
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
+.\" respectively.
+.SH AUTHOR
+This manual page was written by Leandro Pereira <leandro@linuxmag.com.br>,
+for the Debian project (but may be used by others).
diff --git a/debian/menu b/debian/menu
new file mode 100644
index 00000000..4a3ff6d4
--- /dev/null
+++ b/debian/menu
@@ -0,0 +1,6 @@
+?package(hardinfo): \
+needs="X11" \
+section="Apps/System" \
+title="System Information" command="/usr/bin/hardinfo" \
+icon="/usr/share/hardinfo/pixmaps/logo.xpm"
+
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 00000000..10a660b2
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for hardinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 00000000..9149cd4c
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for hardinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 00000000..f7df1741
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+# preinst script for hardinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+# if [ "$1" = "upgrade" ]
+# then
+# start-stop-daemon --stop --quiet --oknodo \
+# --pidfile /var/run/hardinfo.pid \
+# --exec /usr/sbin/hardinfo 2>/dev/null || true
+# fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 00000000..2a27c8cd
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,39 @@
+#! /bin/sh
+# prerm script for hardinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+# install-info --quiet --remove /usr/info/hardinfo.info.gz
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 00000000..3bc037af
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,95 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ ./configure
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/hardinfo.
+ $(MAKE) install DESTDIR=$(CURDIR)/debian/hardinfo
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ #dh_installchangelogs ChangeLog
+ dh_installdocs
+# dh_installexamples
+ dh_install
+ dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman debian/hardinfo.1
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure